{# D:\Luc\Dev\DevWeb\Symfony\applicationPAA_S4\src\PaaBundle\Resources\views\Dialog\getIDActivite\getIDActivites_OngletActivites.html.twig#}
{% block head %}
    <meta name="description" content="Liste des activités à choisir pour créer une séance">

{# LG 20200930 old    <link rel="stylesheet" type="text/css" href="{{asset('vendor/DataTables/datatables.min.css')}}"/>#}
    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/DataTables-1.10.15/css/jquery.dataTables.min.css')}}"/>
    {#spectrum : widget getColor utilisé pour les colorPicker #}
    <link rel="stylesheet" href="{{asset('vendor/spectrum/spectrum.css')}}" />

    <style type="text/css">
        #entityFormGrille_DataTableInfos {
            display: inline-block;
            float: right;
            padding-top: 12px;
        }
        table.dataTable tbody tr, td {
            padding:0;
            height: 18px;
            min-height:10px;
            max-height:10px;
        }
        table.dataTable tbody td{
            padding-top:2px;
            padding-bottom:2px;
        }
        #resize_handle {
            /*LG 20190219 deac position: absolute;*/
            bottom: 0;
            left: 0;
            right: 0;
            cursor: n-resize;
            background-color: lightgrey;
            height: 5px;
            border: 2px outset;
            margin-top: 5px;
            margin-bottom: 10px;
        }
        /*LG 20190718 début*/
        .tab-content {
            padding: 5px;
            border: #ddd;
            border-width: 1px;
            border-top-width: 0;
            border-style: solid;
        }
        .control-label {
            top: 0px;
        } 
        /*LG 20190718 fin*/

        {# LG 20181218 : surcharges pour spectrum début #}
        .sp-preview {
            height: 15px ;
        }
        .sp-replacer {
            border-radius: 4px ;
        }
        {# LG 20181218 : fin #}
    </style>

{%endblock%}
{% block Seance %} 
    {#    {% set psOngletActif = 'OngletGénéral' %}#}
    <div id="getIDActiviteDataTable">
        {% include '@Paa/Dialog/getIDActivite/getIDActivites_Datatable.html.twig' %}
    </div>

    <div id="formulaire_DataTable_getIdActivites" class="entityForm_FormFictif">
        {#Ici les onglets seront chargés par ajax lors dela sélection dans la grille#}
    </div>
{% endblock %} 


{#Titre de la page#}
{% block titrePage %}
    <div id="NomTable" style="display: none;">getIdActivites</div>
    <div id="LibelléTable" style="display: none;">getIdActivités</div>
{% endblock %}
<div>
    {% block onglets %}
        {% include '@Paa/Dialog/getIDActivite/getIDActivites_SousOnglets.html.twig' %}
    {% endblock %}
</div> 

{#Scripts qui doivent s'exécuter à la fin du body#}
{% block scriptsEnFinDeBody %}

    {#<script type="text/javascript" src="{{asset('Limoog/Paa/src/ressources.js')}}"></script>
    #}
    <script>
        $(document).ready(pageEntityFormGrille_DocumentReady_LG);

        function pageEntityFormGrille_DocumentReady_LG() {
// Début du code dupliqué de pageEntityFormGrille
            // Récupérer les noms et libellés de la table gérée par la grille, puis changer l'Id des zones, pour éviter les confusuions avec les sous-formulaires
            var lsNomTable = $('#NomTable').text();
            var lsLibelléTable = $('#LibelléTable').text();
            $('#NomTable').prop("id", "NomTable_" + lsNomTable);
            $('#LibelléTable').prop("id", "LibelléTable_" + lsNomTable);

            // Définir l'objet de gestion combiné grille/boutons/entité
            window.entityFormGrille = newEntityFormGrille(lsNomTable, lsLibelléTable);

            // Surcharge de EntityForm.DoLoadData
            // Lancer le chargement de l'enregistrement demandé
            // piIdEntité			: Identifiant de l'entité à charger
            // (psOnglet)			: nom de l'onglet éventuel à charger
            // (callbackSiSuccès)	: pointeur vers la fonction callback à appeller si DoLoadData réussit
            // (callbackSiEchec)	: pointeur vers la fonction callback à appeller si DoLoadData échoue
            // Valeur de retour		: true si succès
            window.entityFormGrille.oEntityForm.DoLoadData = function (piIdEntité, psOnglet, callbackSiSuccès, callbackSiEchec) {
// LG 20200928 début
                var liIdentifiantEntité = window.entityFormGrille.oDataTable.RtvIdSelectedRow() ;
                window.entityFormGrille.oEntityForm.SetIdentifiantEntité(liIdentifiantEntité) ;
// LG 20200928 fin
                var vlDetailActi = window.entityFormGrille.oDataTable.RtvSelectedRow().data()
                $('#lblActivité').html(vlDetailActi[4]);
{# LG 20201001 old                $('#lblActivité').css("background-color", "#" + (vlDetailActi[6] & 0x00FFFFFF).toString(16))#}
                $('#lblActivité').css("background-color", rgbVFPToColor(vlDetailActi[6]))

// LG 20191107 old				ajax_FillcbcRessources($("#checkListRessourcesPourLaSéance")[0], $("#checkListRessourcesPourLaSéance").val(), {'acti': window.entityFormGrille.oDataTable.RtvIdSelectedRow()});
// LG 20200511 old : pour que l'intervenant pour lequel on cherche à poser une séance soit sélectionné				ajax_FillcbcRessources($("#checkListRessourcesPourLaSéance")[0], "", {'acti': window.entityFormGrille.oDataTable.RtvIdSelectedRow()});
// LG 20200928 old                ajax_FillcbcRessources($("#checkListRessourcesPourLaSéance")[0], $("#checkListRessourcesPourLaSéance").val(), {'acti': window.entityFormGrille.oDataTable.RtvIdSelectedRow()});
                ajax_FillcbcRessources($("#checkListRessourcesPourLaSéance")[0], $("#checkListRessourcesPourLaSéance").val(), {'acti': liIdentifiantEntité});

                if (callbackSiSuccès)
                    callbackSiSuccès();
                window.entityFormGrille.oEntityForm.OnLoadComplete()

                // Valeur de retour
                return true;
            };

            // Générer le configurer le DataTable, et l'affecter à window.entityFormGrille.oDataTable
            var lsNomEntité = window.entityFormGrille.oEntityForm.NomTableToNomEntité(lsNomTable);
            LGDataTable_initGrille("entityFormGrille_DataTable", lsNomEntité, window.entityFormGrille, window.entityFormGrille.onLGDataTableInitComplete);
            // Fin du code dupliqué de pageEntityFormGrille
        }
        /*
         $('#getIDActiviteDataTable tbody').on('dblclick','tr',function(){
         //			alert('test');
         getIdActivité_PoserSéance();
         }
         );
         */
        // Enénements change -> rechargement de la liste des activités
        $('#fEntityForm_activites_PlstRes').change(getIDActivitesDatatable);
        $('#fEntityForm_activites_IncActGener').change(getIDActivitesDatatable);
        $('#fEntityForm_activites_UniPourLaRessConce').change(getIDActivitesDatatable);
        $('#fEntityForm_activites_IncLesActSyse').change(getIDActivitesDatatable);
        $('#fEntityForm_activites_GroupeActiActi').change(getIDActivitesDatatable);
        $('#fEntityForm_activites_StyleAffichageAB').change(getIDActivitesDatatable);

        var n = 0;
//faire Fct Get IDActi iCI ( Renvoie lesb onne donnée 
        function getIDActivitesDatatable() {
        {#LG 20200928 début#}
        {#		pres = $('#fEntityForm_activites_PlstRes')[0].value;
                pdate = $('#widgetDébutFin_Date')[0].value;

                pheuredeb = $('#widgetDébutFin_Début')[0].value;
                pheurefin = $('#widgetDébutFin_Fin')[0].value;
                puncActGen =  $('#fEntityForm_activites_IncActGener').is(':checked') ?true:false;
                puniRessConc = $('#fEntityForm_activites_UniPourLaRessConce').is(':checked')?true:false         
                pincActSys = $('#fEntityForm_activites_IncLesActSyse').is(':checked')?true:false         

                pGroupeActi = $('#fEntityForm_activites_GroupeActiActi')[0].value;    
                lsStyleAB = $('#fEntityForm_activites_StyleAffichageAB')[0].value;
                if (!lsStyleAB) lsStyleAB = 'null' ;

                lsURL = getBaseURL() + 'TestYohan/getIDActivitesDatatable/' + pres + '/' + pdate + '/' + pheuredeb + '/' + pheurefin 
                if (!lsStyleAB) lsStyleAB = 'null' ;

                lsURL = getBaseURL() + 'TestYohan/getIDActivitesDatatable/' + pres + '/' + pdate + '/' + pheuredeb + '/' + pheurefin 
                + '/' + pincActSys + '/' + puncActGen + '/' + puniRessConc + '/' + pGroupeActi + '/' + lsStyleAB ;
            #}		var pres = $('#fEntityForm_activites_PlstRes')[0].value;
            var pdate = $('#widgetDébutFin_Date')[0].value;

            var pheuredeb = $('#widgetDébutFin_Début')[0].value;
            var pheurefin = $('#widgetDébutFin_Fin')[0].value;
            var puncActGen = $('#fEntityForm_activites_IncActGener').is(':checked') ? true : false;
            var puniRessConc = $('#fEntityForm_activites_UniPourLaRessConce').is(':checked') ? true : false
            var pincActSys = $('#fEntityForm_activites_IncLesActSyse').is(':checked') ? true : false

            var pGroupeActi = $('#fEntityForm_activites_GroupeActiActi')[0].value;
            var lsStyleAB = $('#fEntityForm_activites_StyleAffichageAB')[0].value;
            if (!lsStyleAB)
                lsStyleAB = 'null';

            var lsURL = getBaseURL() + 'TestYohan/getIDActivitesDatatable/' + pres + '/' + pdate + '/' + pheuredeb + '/' + pheurefin
                    + '/' + pincActSys + '/' + puncActGen + '/' + puniRessConc + '/' + pGroupeActi + '/' + lsStyleAB;
        {#LG 20200928 fin#}

            $.ajax({
                // chargement du fichier externe monfichier-ajax.php 
                type: 'GET',
                url: lsURL,
                success: function (data)
                {
                    $('#getIDActiviteDataTable').html(data);
                    LGDataTable_initGrille("entityFormGrille_DataTable", $('#NomTable'), window.entityFormGrille, window.entityFormGrille.onLGDataTableInitComplete);
                }
                // Passage des données au fichier externe (ici le nom cliqué)  


            });

        }


    </script>

{% endblock %}
